=== modified file 'pydoctor/ast_pp.py'
--- pydoctor/ast_pp.py	2008-08-16 00:38:53 +0000
+++ pydoctor/ast_pp.py	2008-08-16 01:06:48 +0000
@@ -320,18 +320,7 @@
         return self.s.getvalue()
 
 def pp(ast):
+    """Convert `ast` to Python source."""
     sw = SourceWriter()
     walk(ast, sw)
     return sw.s.getvalue()
-
-def magic(s):
-    ast = parse(s)
-    sw = SourceWriter()
-    walk(ast, sw)
-    return ast, sw
-
-if __name__ == '__main__':
-    f = file(__file__, 'r').read()
-    ast, sw = magic(f)
-    print sw
-    print ast

=== modified file 'pydoctor/astbuilder.py'
--- pydoctor/astbuilder.py	2008-08-16 00:38:53 +0000
+++ pydoctor/astbuilder.py	2008-08-16 01:06:48 +0000
@@ -5,10 +5,13 @@
 import symbol, token
 
 class mystr(str):
+    """Hack to allow recovery of the literal that gave rise to a string constant in an AST."""
     pass
 
 class MyTransformer(transformer.Transformer):
+    """Custom transformer that records the string literal that gave rise to a docstring."""
     def get_docstring(self, node, n=None):
+        """Override C{transformer.Transformer.get_docstring} to record the literal docstring."""
         if n is None:
             n = node[0]
             node = node[1:]
@@ -43,6 +46,7 @@
 
 
 def parseFile(path):
+    """Duplicate of L{compiler.parseFile} that uses L{MyTransformer}."""
     f = open(path, "U")
     src = f.read() + "\n"
     f.close()
@@ -50,6 +54,7 @@
 
 
 def parse(buf):
+    """Duplicate of L{compiler.parse} that uses L{MyTransformer}."""
     return MyTransformer().parsesuite(buf)
 
 
@@ -363,6 +368,7 @@
 model.System.defaultBuilder = ASTBuilder
 
 def findAll(modast, mod):
+    """Find and attempt to parse into a list of names the __all__ of a module's AST."""
     for node in modast.node.nodes:
         if isinstance(node, ast.Assign) and \
                len(node.nodes) == 1 and \

=== modified file 'pydoctor/model.py'
--- pydoctor/model.py	2008-06-02 05:02:54 +0000
+++ pydoctor/model.py	2008-08-16 01:06:48 +0000
@@ -1,3 +1,5 @@
+"""Core pydoctor objects."""
+
 import datetime
 import os
 import posixpath

=== modified file 'pydoctor/nevowhtml/__init__.py'
--- pydoctor/nevowhtml/__init__.py	2008-06-08 10:02:54 +0000
+++ pydoctor/nevowhtml/__init__.py	2008-08-16 01:06:48 +0000
@@ -1,1 +1,3 @@
+"""Render pydoctor data as HTML."""
+
 from pydoctor.nevowhtml.writer import NevowWriter

=== modified file 'pydoctor/server.py'
--- pydoctor/server.py	2008-05-13 06:38:50 +0000
+++ pydoctor/server.py	2008-08-16 01:06:48 +0000
@@ -1,3 +1,5 @@
+"""A web application that dynamically generates pydoctor documentation."""
+
 from nevow import rend, loaders, tags, inevow, url, page
 from nevow.static import File
 from zope.interface import implements

=== modified file 'pydoctor/test/__init__.py'
--- pydoctor/test/__init__.py	2006-03-15 17:52:29 +0000
+++ pydoctor/test/__init__.py	2008-08-16 01:06:48 +0000
@@ -0,0 +1,1 @@
+"""PyDoctor's test suite."""

=== modified file 'pydoctor/twistedmodel.py'
--- pydoctor/twistedmodel.py	2008-06-02 04:42:57 +0000
+++ pydoctor/twistedmodel.py	2008-08-16 01:06:48 +0000
@@ -1,3 +1,5 @@
+"""Support for a few things specific to documenting Twisted."""
+
 from pydoctor import model, ast_pp, zopeinterface
 
 class TwistedModuleVisitor(zopeinterface.ZopeInterfaceModuleVisitor):

=== modified file 'pydoctor/zopeinterface.py'
--- pydoctor/zopeinterface.py	2007-11-25 19:16:15 +0000
+++ pydoctor/zopeinterface.py	2008-08-16 01:06:48 +0000
@@ -1,3 +1,5 @@
+"""Support for Zope interfaces."""
+
 from pydoctor import model, ast_pp, astbuilder
 from compiler import ast
 import re

